<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IvyArtifactSet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IvyArtifactSet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/IvyConfiguration.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/IvyArtifactSet.html" target="_top">Frames</a></li>
<li><a href="IvyArtifactSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.publish.ivy</div>
<h2 title="Interface IvyArtifactSet" class="title">Interface IvyArtifactSet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;, <a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;, <a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">IvyArtifactSet</span>
extends <a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;</pre>
<div class="block">A Collection of <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a>s to be included in an <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a>.

 Being a <a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><code>DomainObjectSet</code></a>, a <code>IvyArtifactSet</code> provides convenient methods for querying, filtering, and applying actions to the set of <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a>s.

 <pre class='autoTested'>
 apply plugin: 'ivy-publish'

 def publication = publishing.publications.create("my-pub", IvyPublication)
 def artifacts = publication.artifacts

 artifacts.matching({
     it.type == "source"
 }).all({
     it.extension = "src.jar"
 })
 </pre></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><code>DomainObjectSet</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifactSet.html#artifact(java.lang.Object)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</code>
<div class="block">Creates and adds a <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a> to the set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifactSet.html#artifact(java.lang.Object,%20org.gradle.api.Action)">artifact</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source,
        <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;&nbsp;config)</code>
<div class="block">Creates and adds a <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a> to the set, which is configured by the associated action.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a></h3>
<code><a href="../../../../../org/gradle/api/DomainObjectSet.html#findAll(groovy.lang.Closure)">findAll</a>, <a href="../../../../../org/gradle/api/DomainObjectSet.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../../../org/gradle/api/DomainObjectSet.html#matching(org.gradle.api.specs.Spec)">matching</a>, <a href="../../../../../org/gradle/api/DomainObjectSet.html#withType(java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Set">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="artifact(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifact</h4>
<pre><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source)</pre>
<div class="block">Creates and adds a <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a> to the set.

 The semantics of this method are the same as <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html#artifact(java.lang.Object)"><code>IvyPublication.artifact(Object)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - The source of the artifact content.</dd></dl>
</li>
</ul>
<a name="artifact(java.lang.Object, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>artifact</h4>
<pre><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&nbsp;artifact(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;source,
                   <a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy">IvyArtifact</a>&gt;&nbsp;config)</pre>
<div class="block">Creates and adds a <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a> to the set, which is configured by the associated action.

 The semantics of this method are the same as <a href="../../../../../org/gradle/api/publish/ivy/IvyPublication.html#artifact(java.lang.Object,%20org.gradle.api.Action)"><code>IvyPublication.artifact(Object, Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - The source of the artifact.</dd><dd><code>config</code> - An action to configure the values of the constructed <a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><code>IvyArtifact</code></a>.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/publish/ivy/IvyArtifact.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/publish/ivy/IvyConfiguration.html" title="interface in org.gradle.api.publish.ivy"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/publish/ivy/IvyArtifactSet.html" target="_top">Frames</a></li>
<li><a href="IvyArtifactSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
